KarpMmc< GR, CM, TR >::SetPath< T > Struct Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members
KarpMmc< GR, CM, TR >::SetPath< T > Struct Template Reference

## Detailed Description

### template<typename GR, typename CM, typename TR>
template<typename T>
struct lemon::KarpMmc< GR, CM, TR >::SetPath< T >

Named parameter for setting the `Path` type of the found cycles. It must conform to the Path concept and it must have an `addFront()` function.

`#include <lemon/karp_mmc.h>`

Inheritance diagram for KarpMmc< GR, CM, TR >::SetPath< T >:
[legend]

## Additional Inherited Members
Public Types inherited from KarpMmc< GR, CM, SetPathTraits< T > >
typedef SetPathTraits< T >::Digraph | Digraph
| The type of the digraph.
typedef SetPathTraits< T >::CostMap | CostMap
| The type of the cost map.
typedef SetPathTraits< T >::Cost | Cost
| The type of the arc costs.
typedef SetPathTraits< T > ::LargeCost | LargeCost
| The large cost type. More...
typedef SetPathTraits< T > ::Tolerance | Tolerance
| The tolerance type.
typedef SetPathTraits< T >::Path | Path
| The path type of the found cycles. More...
typedef SetPathTraits< T > | Traits
| The traits class of the algorithm.
Public Member Functions inherited from KarpMmc< GR, CM, SetPathTraits< T > >
| KarpMmc (const Digraph &digraph, const CostMap &cost)
| Constructor. More...
| ~KarpMmc ()
| Destructor.
KarpMmc & | cycle (Path &path)
| Set the path structure for storing the found cycle. More...
KarpMmc & | tolerance (const Tolerance &tolerance)
| Set the tolerance used by the algorithm. More...
const Tolerance & | tolerance () const
| Return a const reference to the tolerance. More...
const Path & | cycle () const
| Return the found cycle. More...
Cost | cycleCost () const
| Return the total cost of the found cycle. More...
int | cycleSize () const
| Return the number of arcs on the found cycle. More...
double | cycleMean () const
| Return the mean cost of the found cycle. More...
bool | run ()
| Run the algorithm. More...
bool | findCycleMean ()
| Find the minimum cycle mean. More...
bool | findCycle ()
| Find a minimum mean directed cycle. More...